---
title: "Geizhals API: Product | Perceptlayer"
description: "Product from Geizhals as JSON. 1 credit per successful call."
url: https://perceptlayer.com/apis/geizhals/product
---

[APIs](https://perceptlayer.com/apis) / [Geizhals](https://perceptlayer.com/apis/geizhals) / Product

# Geizhals: Product

Product from Geizhals as JSON. 1 credit per successful call.

GET `/v1/geizhals/product`

## Parameters

Send parameters in the query string.

| Parameter | Type | Required | Allowed values |
| --- | --- | --- | --- |
| `product_id` | integer | Required | Any |
| `loc` | string | Optional | de, at, eu, pl, uk |
| `lang` | string | Optional | de, en |
| `offers` | integer | Optional | Any |
| `merchant_details` | boolean | Optional | Any |
| `reviews` | boolean | Optional | Any |
| `videos` | boolean | Optional | Any |

## Example request

cURL shell 

```
curl "https://api.perceptlayer.com/v1/geizhals/product?product_id=2194110&loc=de&offers=20" \
  -H "X-API-Key: $API_KEY"
```

[Run this endpoint in the playground](https://perceptlayer.com/apis/geizhals?try=product#playground) with your own parameters. 1 credit per successful call; failed calls are free.
